## EXPORT_SPEC int ixmlDocument_createTextNodeEx

## (IXML_Document* doc,
const DOMString data,
IXML_Node** textNode )

> Creates a new Text node with the given data.

## Documentation

> Creates a new Text node with the given data. The ixmlDocument_createTextNodeEx API differs from the ixmlDocument_createTextNode API in that it returns an error code describing the reason for failure rather than just `NULL`.

Parameters:
  doc - The owner Document of the new node.
  data - The data to associate with the new Text node.
  textNode - A pointer to a Node where the new object will be stored.
Returns:
  [int] An integer representing one of the following:
  - `IXML_SUCCESS`: The operation completed successfully.
  - `IXML_INVALID_PARAMETER`: Either doc or data is `NULL`.
  - `IXML_INSUFFICIENT_MEMORY`: Not enough free memory exists to complete this operation.

Alphabetic index

This page was generated with the help of DOC++.